Subject: Offline Message from Khulood : Hello Order number 100149473 I received my ord
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Sun, 14 Jun 2020 21:34:45 -0000

From: Khulood  <[email-masked]>
Phone: 
Location: Riyadh, Saudi Arabia
URL: https://saudi.mumzworld.com/sa-en/sales/order/view/order_id/1482850/
Department: 

Hello
Order number 100149473
I received my order today and there was only 1 item in the shipment which is Childhome - Rocking My First Car - Grey
when I tried to assemble the rocking car I discovered that there are missing parts 
There are several parts missing from the box of the rocking car so I could not assemble it
So I would like to exchange it with a new one or receive it assembled 

----
Zopim
https://www.zopim.com